Redmine - Feature #5536
Simplify Wiki Page creation ("Add Page" link)
2010-05-17 04:46 - Dave Lowndes

Status: Closed Start date: 2010-05-17
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed

Description

One of the biggest hurdles to Wiki productivity as | see it is having to edit a wiki page before you can add a page. Since there are
macros for ToC and Children and often the start page contains theses macros it is redundant to manually create a page link, so you
can add the page, then delete the link straight after since it is then listed in the macro output.

| suggest:

1. A simple Add page function, next to "Edit"
2. The ability to chose the Parent (i.e. dropdown, recent pages, search for parent) at Page creation time

Related issues:

Related to Redmine - Feature #15880: Consistent, global button/menu to add ne... Closed
Has duplicate Redmine - Feature #12918: make it more intuitive to add new wik... Closed
Has duplicate Redmine - Feature #8357: create new wiki page from an additiona... Closed 2011-05-12

Associated revisions

Revision 15346 - 2016-04-22 19:47 - Jean-Philippe Lang
Adds "New wiki page" link to create a new wiki page (#5536).

Revision 15347 - 2016-04-22 20:01 - Jean-Philippe Lang
Adds :label_wiki_page_new i18n strings (#5536).

History

#1 - 2010-05-18 08:47 - Eraldo Girardi

Users here always complain about that.

They always ask me: "Why | can not add a new page by simply hit a "New Page" button??"
It's really too strange to add a page by editing in the address bar or by a link in an other page.
| hope this will receive some attention..

#2 - 2010-05-19 17:30 - Jeff Wallace
+1

Specifically | think sub-page creation is somewhat cumbersome currently. Having the ability to choose the parent page when creating/editing would
be helpful.

#3 - 2010-05-19 18:05 - Alex Dergachev

+1

Here's one idea about how to do it: create a macro in redmine {{add_child_page}} that can
be embedded in the sidebar wiki page. (When 1.0 comes out). See #2010

This macro will be expanded to a link with an onclick handler that
prompts the user to input a page name and press OK or Cancel.

Initially just use the javascript prompt() method (we'll worry about
sexiness and degradability later).

Once a name is given ("views_new_subpage"), it should redirect to a

URL like https://rm.ewdev.ca/projects/drupal/wiki/my new_subpage?parent page=Views
That form could look the same as currently, but behind the scenes do

the renaming action.
#4 - 2010-05-19 18:42 - Eraldo Girardi

Alex Dergachev wrote:
+1

Here's one idea about how to do it: create a macro in redmine {{add_child_page}} that can
be embedded in the sidebar wiki page. (When 1.0 comes out). See #2010

This macro will be expanded to a link with an onclick handler that
prompts the user to input a page name and press OK or Cancel.
CuUT

This can be a problem to me (and my users) not using Textile. Macros don't work.
I'm using CKEditor thanks to a plugin by Akihiro Ono (see http://www.redmine.org/issues/617#note-34).
But I'm not so sure anyway... can CKEditor work with macros?

#5 - 2010-08-26 00:47 - Eric Davis
- Priority changed from High to Normal

#6 - 2011-07-31 09:10 - Seth Sandler

Any updates on this? It would be nice to have a button and also to be able to set parent/child page during edit/creation.

#7 - 2013-03-15 15:04 - Eric Mills

+1

#8 - 2013-03-22 08:15 - Nick Tan

this plugin redmine_create_wiki_page https:/github.com/peplin/redmine_create wiki_page work well for me on redmine 2.3.0

#9 - 2013-03-22 10:50 - Dipan Mehta

This plugin has an issue. When the project is closed - it produces Internal error 500!

While, it is true that many things should be done by plugins only - and if there are issues/bugs with plugins that also can be solved. However, an easy
create link should rather be better done in the core!

#10 - 2013-03-22 10:58 - Etienne Massip

- Target version set to Candidate for next major release

#11 - 2013-03-22 21:01 - Alex Dergachev

FYI a year ago we threw together a prototype of a plugin for this workflow:

https://github.com/evolvingweb/redmine-wiki2issue

#12 - 2014-08-15 21:26 - Matt Smith

This is a major usability issue. I'm a senior programmer and | had to turn to google to figure out how to add a page?

Please, give this the attention it deserves.

#13 - 2016-01-12 09:37 - Go MAEDA
- Related to Feature #15880: Consistent, global button/menu to add new content added

#14 - 2016-01-12 09:40 - Go MAEDA

This issue will be resolved if #15880 is implemented.

#15 - 2016-04-22 20:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 3.3.0

- Resolution set to Fixed

"New wiki page" added in r15346.
#16 - 2016-05-21 09:08 - Jean-Philippe Lang
- Subject changed from Simplify Wiki Page creation ("Add Page") to Simplify Wiki Page creation ("Add Page" link)

#17 - 2016-08-21 04:40 - Go MAEDA

- Has duplicate Feature #8357: create new wiki page from an additional "new"-link added
